Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_old.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_old.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_old.F90	(revision 5103)
@@ -49,5 +49,5 @@
   !======================================================================
   ! JLD: 
-  ! * Routine probablement fausse (au moins incoherente) si thermcep = .false.
+  ! * Routine probablement fausse (au moins incoherente) si thermcep = .FALSE.
   ! * fl_cor_ebil doit etre > 0 ; 
   !   fl_cor_ebil= 0 pour reproduire anciens bugs
@@ -780,5 +780,5 @@
 
               if (iflag_cloudth_vert<=2) then
-               call cloudth(klon,klev,k,ztv, &
+               CALL cloudth(klon,klev,k,ztv, &
                    zq,zqta,fraca, &
                    qcloud,ctot,zpspsk,paprs,pplay,ztla,zthl, &
@@ -787,5 +787,5 @@
 
               elseif (iflag_cloudth_vert>=3 .and. iflag_cloudth_vert<=5) then
-               call cloudth_v3(klon,klev,k,ztv, &
+               CALL cloudth_v3(klon,klev,k,ztv, &
                    zq,zqta,fraca, &
                    qcloud,ctot,ctot_vol,zpspsk,paprs,pplay,ztla,zthl, &
@@ -796,5 +796,5 @@
               !----------------------------------              
               elseif (iflag_cloudth_vert==6) then
-               call cloudth_v6(klon,klev,k,ztv, &
+               CALL cloudth_v6(klon,klev,k,ztv, &
                    zq,zqta,fraca, &
                    qcloud,ctot,ctot_vol,zpspsk,paprs,pplay,ztla,zthl, &
@@ -812,5 +812,5 @@
 
            if (iflag_cld_th <= 4) then
-              lognormale = .true.
+              lognormale = .TRUE.
            elseif (iflag_cld_th >= 6) then
               ! lognormale en l'absence des thermiques
@@ -819,5 +819,5 @@
               ! Dans le cas iflag_cld_th=5, on prend systématiquement la
               ! bi-gaussienne
-              lognormale = .false.
+              lognormale = .FALSE.
            end if
 
@@ -853,5 +853,5 @@
                do i=1,klon
 !                 do while ((abs(DT(i)).gt.DDT0).or.(n_i(i).eq.0))
-                 ! !! convergence = .true. tant que l'on n'a pas converge !!
+                 ! !! convergence = .TRUE. tant que l'on n'a pas converge !!
                  ! ------------------------------
                  convergence(i)=abs(DT(i))>DDT0
@@ -1154,5 +1154,5 @@
            ENDDO
          endif
-!         print*,zt(i),zrfl(i),zifl(i),'temp1'
+!         PRINT*,zt(i),zrfl(i),zifl(i),'temp1'
        ENDIF
 !>AJ
@@ -1258,5 +1258,5 @@
            zneb(i) = MAX(rneb(i,k), seuil_neb)
      !      zt(i) = zt(i)+zcond(i)*zfice(i)*RLMLT/RCPD/(1.0+RVTMP2*zq(i))  
-!           print*,zt(i),'fractionglace'
+!           PRINT*,zt(i),'fractionglace'
 !>AJ
            radliq(i,k) = zoliq(i)/REAL(ninter+1)
@@ -1490,8 +1490,8 @@
 !           zrfl(i)=zrfl(i)+zmelt*zifl(i)
 !           zifl(i)=zifl(i)*(1.-zmelt)
-!           print*,zt(i),'octavio1'
+!           PRINT*,zt(i),'octavio1'
 !           zt(i)=zt(i)-zifl(i)*zmelt*(RG*dtime)/(paprs(i,k)-paprs(i,k+1)) &
 !                      *RLMLT/RCPD/(1.0+RVTMP2*zq(i))
-!           print*,zt(i),zrfl(i),zifl(i),zmelt,'octavio2'
+!           PRINT*,zt(i),zrfl(i),zifl(i),zmelt,'octavio2'
 !       ENDDO
 !     ENDIF
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_poprecip.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_poprecip.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_poprecip.F90	(revision 5103)
@@ -95,9 +95,9 @@
 !--Calculation of saturation specific humidity
 !--depending on temperature:
-CALL calc_qsat_ecmwf(klon,temp(:),qzero(:),pplay(:),RTT,0,.false.,qsat(:),dqsat(:))
+CALL calc_qsat_ecmwf(klon,temp(:),qzero(:),pplay(:),RTT,0,.FALSE.,qsat(:),dqsat(:))
 !--wrt liquid water
-CALL calc_qsat_ecmwf(klon,temp(:),qzero(:),pplay(:),RTT,1,.false.,qsatl(:),dqsatl(:))
+CALL calc_qsat_ecmwf(klon,temp(:),qzero(:),pplay(:),RTT,1,.FALSE.,qsatl(:),dqsatl(:))
 !--wrt ice
-CALL calc_qsat_ecmwf(klon,temp(:),qzero(:),pplay(:),RTT,2,.false.,qsati(:),dqsati(:))
+CALL calc_qsat_ecmwf(klon,temp(:),qzero(:),pplay(:),RTT,2,.FALSE.,qsati(:),dqsati(:))
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_tools.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_tools.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_tools.F90	(revision 5103)
@@ -319,7 +319,7 @@
 
    !--wrt liquid water
-   CALL calc_qsat_ecmwf(klon,temp(:),qzero(:),pplay(:),RTT,1,.false.,qsatl(:),dqsatl(:))
+   CALL calc_qsat_ecmwf(klon,temp(:),qzero(:),pplay(:),RTT,1,.FALSE.,qsatl(:),dqsatl(:))
    !--wrt ice
-   CALL calc_qsat_ecmwf(klon,temp(:),qzero(:),pplay(:),RTT,2,.false.,qsati(:),dqsati(:))
+   CALL calc_qsat_ecmwf(klon,temp(:),qzero(:),pplay(:),RTT,2,.FALSE.,qsati(:),dqsati(:))
 
 
@@ -494,5 +494,5 @@
               icefrac(i)    = qice(i) / ( qice(i) + qliq(i) )
               dicefracdT(i) = 0.
-              !print*,'MPC turb'
+              !PRINT*,'MPC turb'
 
            END IF ! Enough TKE
@@ -596,6 +596,6 @@
     INTEGER i
     
-        CALL CALC_QSAT_ECMWF(klon,temp,qtot,pressure,RTT,1,.false.,qsl,dqsl)
-        CALL CALC_QSAT_ECMWF(klon,temp,qtot,pressure,RTT,2,.false.,qsi,dqsi)
+        CALL CALC_QSAT_ECMWF(klon,temp,qtot,pressure,RTT,1,.FALSE.,qsl,dqsl)
+        CALL CALC_QSAT_ECMWF(klon,temp,qtot,pressure,RTT,2,.FALSE.,qsi,dqsi)
 
     DO i=1,klon
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_ini.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_ini.F90	(revision 5103)
@@ -44,10 +44,10 @@
 RTT     =RTT_in
 
-print*,'ratqs_ini'
-if (iflag_thermals==15.or.iflag_thermals==16) then
+PRINT*,'ratqs_ini'
+IF (iflag_thermals==15.or.iflag_thermals==16) then
    dqimpl=-1
 else
    dqimpl=1
-endif
+END IF
 lunout=lunout_in
 
@@ -76,5 +76,5 @@
 !--------------------------------------------------------
 
-if (klon==1) then
+IF (klon==1) then
     do k=1,klev
       do i=1,klon 
@@ -84,6 +84,6 @@
     enddo
 else
-    print*, 'conserver la variance dans les restarts'
-endif
+    PRINT*, 'conserver la variance dans les restarts'
+END IF
 !--------------------------------------------------------
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_main.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_main.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_main.F90	(revision 5103)
@@ -67,5 +67,5 @@
 !-------------------------------------------------------------------------
 
-!      print*,'calcul des ratqs'
+!      PRINT*,'calcul des ratqs'
 !   ratqs convectifs a l'ancienne en fonction de q(z=0)-q / q
 !   ----------------
@@ -87,10 +87,10 @@
 !-----------------------------------------------------------------------
       else if (iflag_cld_th==4) then
-         ptconvth(:,:)=.false.
+         ptconvth(:,:)=.FALSE.
          ratqsc(:,:)=0.
-         if(prt_level>=9) print*,'avant clouds_gno thermique'
-         call clouds_gno &
+         if(prt_level>=9) PRINT*,'avant clouds_gno thermique'
+         CALL clouds_gno &
          (klon,klev,q_seri,zqsat,clwcon0th,ptconvth,ratqsc,rnebcon0th)
-         if(prt_level>=9) print*,' CLOUDS_GNO OK'
+         if(prt_level>=9) PRINT*,' CLOUDS_GNO OK'
        
        endif
@@ -195,5 +195,5 @@
           if (iflag_ratqs == 10) then
              ! interactive ratqs in presence of cold pools     
-             call ratqs_inter(klon,klev,iflag_ratqs,pdtphys,paprs, &
+             CALL ratqs_inter(klon,klev,iflag_ratqs,pdtphys,paprs, &
                        ratqsbas,wake_deltaq,wake_s,q_seri,qtc_cv, sigt_cv, &
                        fm_therm,entr_therm,detr_therm,detrain_cv,fm_cv,fqd,fqcomp,sigd, &
@@ -206,7 +206,7 @@
              ratqss=ratqss+ratqs_inter_
           else if (iflag_ratqs == 11) then
-            print*,'avant ratqs_inter'
+            PRINT*,'avant ratqs_inter'
             ! interactive ratqs with several sources
-             call ratqs_inter(klon,klev,iflag_ratqs,pdtphys,paprs, &
+             CALL ratqs_inter(klon,klev,iflag_ratqs,pdtphys,paprs, &
                        ratqsbas,wake_deltaq,wake_s,q_seri,qtc_cv, sigt_cv, &
                        fm_therm,entr_therm,detr_therm,detrain_cv,fm_cv,fqd,fqcomp,sigd, &
@@ -215,13 +215,13 @@
           else if (iflag_ratqs == 12) then
              ! contribution of surface heterogeneities to ratqs
-             call ratqs_hetero(klon,klev,pctsrf,s_pblh,t2m,q2m,t_seri,q_seri,pplay,paprs,ratqs_hetero_)
+             CALL ratqs_hetero(klon,klev,pctsrf,s_pblh,t2m,q2m,t_seri,q_seri,pplay,paprs,ratqs_hetero_)
              ratqss=ratqss+ratqs_hetero_
           else if (iflag_ratqs == 13) then
              ! contribution of ubgrid orography to ratqs
-             call ratqs_oro(klon,klev,pctsrf,zstd,zqsat,t_seri,pplay,paprs,ratqs_oro_)
+             CALL ratqs_oro(klon,klev,pctsrf,zstd,zqsat,t_seri,pplay,paprs,ratqs_oro_)
              ratqss=ratqss+ratqs_oro_
           else if (iflag_ratqs == 14) then
              ! effect of subgrid-scale TKE on ratqs (in development)
-             call ratqs_tke(klon,klev,pdtphys,t_seri,q_seri,zqsat,pplay,paprs,omega,tke,tke_dissip,lmix,wprime,ratqs_tke_)     
+             CALL ratqs_tke(klon,klev,pdtphys,t_seri,q_seri,zqsat,pplay,paprs,omega,tke,tke_dissip,lmix,wprime,ratqs_tke_)
              ratqss=ratqss+ratqs_tke_
           endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_multi.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_multi.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_multi.F90	(revision 5103)
@@ -16,5 +16,4 @@
 IMPLICIT NONE
 
-! Include
 !=============================================
     INCLUDE "YOETHF.h"
@@ -39,6 +38,6 @@
 !========================================================================
 ! L. d'Alen??on, 25/02/2021
-! Cette subroutine calcule une valeur de ratqsbas interactive  
-! Elle est appel??e par la subroutine ratqs lorsque iflag_ratqs = 11. 
+! Cette SUBROUTINE calcule une valeur de ratqsbas interactive
+! Elle est appel??e par la SUBROUTINE ratqs lorsque iflag_ratqs = 11.
 !========================================================================
 
@@ -58,6 +57,6 @@
 
 ! local
-LOGICAL :: klein = .false.
-LOGICAL :: klein_conv = .true.
+LOGICAL :: klein = .FALSE.
+LOGICAL :: klein_conv = .TRUE.
 REAL :: taup0 = 70000
 REAL :: taudp = 500
@@ -74,5 +73,5 @@
 lev_out=0.
 
-print*,'ratqs_inter'
+PRINT*,'ratqs_inter'
 
 !-----------------------------------------------------------------------
@@ -104,5 +103,5 @@
 ! calcul du carr?? de l'humidit?? sp??cifique et circulation dans les thermiques
       po(:,:) = q_seri(:,:)
-      call thermcell_dq(klon,klev,dqimpl,pdtphys,fm0,entr0,zmasse,  &
+      CALL thermcell_dq(klon,klev,dqimpl,pdtphys,fm0,entr0,zmasse,  &
                      po,pdoadj,zoa,lev_out)
       do k=1,klev
@@ -111,5 +110,5 @@
          enddo
       enddo
-      call thermcell_dq(klon,klev,dqimpl,pdtphys,fm0,entr0,zmasse,  &
+      CALL thermcell_dq(klon,klev,dqimpl,pdtphys,fm0,entr0,zmasse,  &
                      pocarre,pdocarreadj,zocarrea,lev_out)
 
@@ -333,5 +332,5 @@
     
     DO nsrf=1,nbsrf
-    CALL CALC_QSAT_ECMWF(klon,t2m(:,nsrf),q2m(:,nsrf),paprs(:,1),RTT,0,.false.,qsat2m,dqsatdT)
+    CALL CALC_QSAT_ECMWF(klon,t2m(:,nsrf),q2m(:,nsrf),paprs(:,1),RTT,0,.FALSE.,qsat2m,dqsatdT)
     ratiom(:)=ratiom(:)+pctsrf(:,nsrf)*(q2m(:,nsrf)/qsat2m(:))
     xsi0(:)=xsi0(:)+pctsrf(:,nsrf)*((q2m(:,nsrf)/qsat2m(:)-ratiom(:))**2)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alim.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alim.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alim.F90	(revision 5103)
@@ -117,5 +117,5 @@
          alim_star_tot(:)=alim_star_tot(:)+alim_star(:,l)
       ENDDO
-      IF (ngrid==1) print*,'NEW ALIM CALCUL DE ZI ',alim_star_tot,lalim,zi,zh
+      IF (ngrid==1) PRINT*,'NEW ALIM CALCUL DE ZI ',alim_star_tot,lalim,zi,zh
       alim_star_tot(:)=1.
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alp.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_alp.F90	(revision 5103)
@@ -136,6 +136,6 @@
 !------------Test sur le LCL des thermiques
     do ig=1,ngrid
-      ok_lcl(ig)=.false.
-      if ( (pcon(ig) > pplay(ig,nlay-1)) .and. (pcon(ig) < pplay(ig,1)) ) ok_lcl(ig)=.true.
+      ok_lcl(ig)=.FALSE.
+      if ( (pcon(ig) > pplay(ig,nlay-1)) .and. (pcon(ig) < pplay(ig,1)) ) ok_lcl(ig)=.TRUE.
     enddo
 
@@ -199,5 +199,5 @@
 
 !-----Calcul de la TKE transportée par les thermiques : therm_tke_max
-   call thermcell_tke_transport(ngrid,nlay,ptimestep,fm0,entr0,  &  ! in
+   CALL thermcell_tke_transport(ngrid,nlay,ptimestep,fm0,entr0,  &  ! in
              rg,pplev,therm_tke_max)                               ! out
 !   print *,' thermcell_tke_transport -> '   !!jyg
@@ -337,14 +337,14 @@
 !!! fin nrlmd le 10/04/2012
 
-!      print*,'avant calcul ale et alp' 
+!      PRINT*,'avant calcul ale et alp'
 !calcul de ALE et ALP pour la convection
       alp_bl(:)=0.
       ale_bl(:)=0.
-!          print*,'ALE,ALP ,l,zw2(ig,l),ale_bl(ig),alp_bl(ig)'
+!          PRINT*,'ALE,ALP ,l,zw2(ig,l),ale_bl(ig),alp_bl(ig)'
       do l=1,nlay
       do ig=1,ngrid
            alp_bl(ig)=max(alp_bl(ig),0.5*rhobarz(ig,l)*wth3(ig,l) )
            ale_bl(ig)=max(ale_bl(ig),0.5*zw2(ig,l)**2)
-!          print*,'ALE,ALP',l,zw2(ig,l),ale_bl(ig),alp_bl(ig)
+!          PRINT*,'ALE,ALP',l,zw2(ig,l),ale_bl(ig),alp_bl(ig)
       enddo
       enddo
@@ -377,5 +377,5 @@
       enddo
 
-!      print*,'apres wght_th'
+!      PRINT*,'apres wght_th'
 !test pour prolonger la convection
       do ig=1,ngrid
@@ -384,5 +384,5 @@
       lalim_conv(ig)=1
       wght_th(ig,1)=1.
-!      print*,'lalim_conv ok',lalim_conv(ig),wght_th(ig,1)
+!      PRINT*,'lalim_conv ok',lalim_conv(ig),wght_th(ig,1)
       endif
       enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_closure.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_closure.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_closure.F90	(revision 5103)
@@ -36,5 +36,5 @@
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!print*,'THERMCELL CLOSURE 26E'
+!PRINT*,'THERMCELL CLOSURE 26E'
 
 alim_star2(:)=0.
@@ -44,12 +44,12 @@
 ! Indice vertical max (max de lalim) atteint par les thermiques sur le domaine
 llmax=1
-do ig=1,ngrid
+DO ig=1,ngrid
    if (lalim(ig)>llmax) llmax=lalim(ig)
-enddo
+END DO
 
 
 ! Calcul des integrales sur la verticale de alim_star et de
 !   alim_star^2/(rho dz)
-do k=1,llmax-1
+DO k=1,llmax-1
    do ig=1,ngrid
       if (k<lalim(ig)) then
@@ -59,13 +59,13 @@
       endif
    enddo
-enddo
+END DO
 
 
-do ig=1,ngrid
+DO ig=1,ngrid
    if (alim_star2(ig)>1.e-10) then
       f(ig)=wmax(ig)*alim_star_tot(ig)/  &
 &     (max(500.,zmax(ig))*r_aspect*alim_star2(ig))
    endif
-enddo
+END DO
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_down.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_down.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_down.F90	(revision 5103)
@@ -61,5 +61,5 @@
 
    if ( iflag_thermals_down < 10 ) then
-      call abort_physic("thermcell_updown_dq", &
+      CALL abort_physic("thermcell_updown_dq", &
            'thermcell_down_dq = 0 or >= 10', 1)
    else
@@ -132,5 +132,5 @@
          !!!! tentative de prise en compte d'un flux compensatoire montant  !!!!
          if (fup(ig,ilay)-fdn(ig,ilay) < 0.) then
-            call abort_physic("thermcell_updown_dq", 'flux compensatoire '&
+            CALL abort_physic("thermcell_updown_dq", 'flux compensatoire '&
                  // 'montant, cas non traite par thermcell_updown_dq', 1)
             !fthe(ig,ilay)=(fup(ig,ilay)-fdn(ig,ilay))*trac(ig,ilay-1)
@@ -165,5 +165,5 @@
        do ig=1,ngrid
          if (fup(ig,ilay)-fdn(ig,ilay) < 0.) then
-            call abort_physic("thermcell_updown_dq", 'flux compensatoire ' &
+            CALL abort_physic("thermcell_updown_dq", 'flux compensatoire ' &
                  // 'montant, cas non traite par thermcell_updown_dq', 1)
          else
@@ -195,5 +195,5 @@
          if((fup(ig,ilay)-fdn(ig,ilay)) < 0) then
             write(*,*) 'flux compensatoire montant, cas non traite par thermcell_updown_dq dans le cas d une resolution implicite, ilay : ', ilay
-            call abort_physic("thermcell_updown_dq", "", 1)
+            CALL abort_physic("thermcell_updown_dq", "", 1)
          else
            mstar_inv=ptimestep/masse(ig,ilay)
@@ -209,5 +209,5 @@
 
    else
-      call abort_physic("thermcell_updown_dq", &
+      CALL abort_physic("thermcell_updown_dq", &
            'valeur de iflag_impl non prevue', 1)
    endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dq.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dq.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dq.F90	(revision 5103)
@@ -2,5 +2,5 @@
 CONTAINS
 
-      subroutine thermcell_dq(ngrid,nlay,impl,ptimestep,fm,entr,  &
+      SUBROUTINE thermcell_dq(ngrid,nlay,impl,ptimestep,fm,entr,  &
              masse,q,dq,qa,lev_out)
       USE print_control_mod, ONLY: prt_level
@@ -43,7 +43,7 @@
 
 ! Old explicite scheme
-if (impl<=-1) then
-
-         call thermcell_dq_o(ngrid,nlay,impl,ptimestep,fm,entr,  &
+IF (impl<=-1) then
+
+         CALL thermcell_dq_o(ngrid,nlay,impl,ptimestep,fm,entr,  &
              masse,q,dq,qa,lev_out)
 
@@ -58,5 +58,5 @@
             cfl=max(cfl,fm(ig,k)/zzm)
             if (entr(ig,k)>zzm) then
-               print*,'entr*dt>m,1',k,entr(ig,k)*ptimestep,masse(ig,k)
+               PRINT*,'entr*dt>m,1',k,entr(ig,k)*ptimestep,masse(ig,k)
                abort_message = 'entr dt > m, 1st'
                CALL abort_physic (modname,abort_message,1)
@@ -68,5 +68,5 @@
 
 
-      if (prt_level>=1) print*,'Q2 THERMCEL_DQ 0'
+      if (prt_level>=1) PRINT*,'Q2 THERMCEL_DQ 0'
 
 !   calcul du detrainement
@@ -74,17 +74,17 @@
          do ig=1,ngrid
             detr(ig,k)=fm(ig,k)-fm(ig,k+1)+entr(ig,k)
-!           print*,'Q2 DQ ',detr(ig,k),fm(ig,k),entr(ig,k)
+!           PRINT*,'Q2 DQ ',detr(ig,k),fm(ig,k),entr(ig,k)
 !test
             if (detr(ig,k)<0.) then
                entr(ig,k)=entr(ig,k)-detr(ig,k)
                detr(ig,k)=0.
-!               print*,'detr2<0!!!','ig=',ig,'k=',k,'f=',fm(ig,k),
+!               PRINT*,'detr2<0!!!','ig=',ig,'k=',k,'f=',fm(ig,k),
 !     s         'f+1=',fm(ig,k+1),'e=',entr(ig,k),'d=',detr(ig,k)
             endif
             if (fm(ig,k+1)<0.) then
-!               print*,'fm2<0!!!'
+!               PRINT*,'fm2<0!!!'
             endif
             if (entr(ig,k)<0.) then
-!               print*,'entr2<0!!!'
+!               PRINT*,'entr2<0!!!'
             endif
          enddo
@@ -106,8 +106,8 @@
             endif
             if (qa(ig,k)<0.) then
-!               print*,'qa<0!!!'
+!               PRINT*,'qa<0!!!'
             endif
             if (q(ig,k)<0.) then
-!               print*,'q<0!!!'
+!               PRINT*,'q<0!!!'
             endif
          enddo
@@ -148,5 +148,5 @@
       enddo
 
-endif ! impl=-1
+END IF ! impl=-1
 RETURN
 end
@@ -157,5 +157,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-      subroutine thermcell_dq_o(ngrid,nlay,impl,ptimestep,fm,entr,  &
+      SUBROUTINE thermcell_dq_o(ngrid,nlay,impl,ptimestep,fm,entr,  &
              masse,q,dq,qa,lev_out)
       USE print_control_mod, ONLY: prt_level
@@ -201,5 +201,5 @@
             cfl=max(cfl,fm(ig,k)/zzm)
             if (entr(ig,k)>zzm) then
-               print*,'entr*dt>m,2',k,entr(ig,k)*ptimestep,masse(ig,k)
+               PRINT*,'entr*dt>m,2',k,entr(ig,k)*ptimestep,masse(ig,k)
                abort_message = 'entr dt > m, 2nd'
                CALL abort_physic (modname,abort_message,1)
@@ -208,5 +208,5 @@
       enddo
 
-!IM 090508     print*,'CFL CFL CFL CFL ',cfl
+!IM 090508     PRINT*,'CFL CFL CFL CFL ',cfl
 
 #undef CFL
@@ -222,6 +222,6 @@
 
 
-do iter=1,niter
-      if (prt_level>=1) print*,'Q2 THERMCEL_DQ 0'
+DO iter=1,niter
+      if (prt_level>=1) PRINT*,'Q2 THERMCEL_DQ 0'
 
 !   calcul du detrainement
@@ -229,17 +229,17 @@
          do ig=1,ngrid
             detr(ig,k)=fm(ig,k)-fm(ig,k+1)+entr(ig,k)
-!           print*,'Q2 DQ ',detr(ig,k),fm(ig,k),entr(ig,k)
+!           PRINT*,'Q2 DQ ',detr(ig,k),fm(ig,k),entr(ig,k)
 !test
             if (detr(ig,k)<0.) then
                entr(ig,k)=entr(ig,k)-detr(ig,k)
                detr(ig,k)=0.
-!               print*,'detr2<0!!!','ig=',ig,'k=',k,'f=',fm(ig,k),
+!               PRINT*,'detr2<0!!!','ig=',ig,'k=',k,'f=',fm(ig,k),
 !     s         'f+1=',fm(ig,k+1),'e=',entr(ig,k),'d=',detr(ig,k)
             endif
             if (fm(ig,k+1)<0.) then
-!               print*,'fm2<0!!!'
+!               PRINT*,'fm2<0!!!'
             endif
             if (entr(ig,k)<0.) then
-!               print*,'entr2<0!!!'
+!               PRINT*,'entr2<0!!!'
             endif
          enddo
@@ -261,8 +261,8 @@
             endif
             if (qa(ig,k)<0.) then
-!               print*,'qa<0!!!'
+!               PRINT*,'qa<0!!!'
             endif
             if (q(ig,k)<0.) then
-!               print*,'q<0!!!'
+!               PRINT*,'q<0!!!'
             endif
          enddo
@@ -293,5 +293,5 @@
 
             if (wqd(ig,k)<0.) then
-!               print*,'wqd<0!!!'
+!               PRINT*,'wqd<0!!!'
             endif
          enddo
@@ -310,5 +310,5 @@
                  *ztimestep/masse(ig,k)
 !            if (dq(ig,k).lt.0.) then
-!               print*,'dq<0!!!'
+!               PRINT*,'dq<0!!!'
 !            endif
          enddo
@@ -316,5 +316,5 @@
 
 
-enddo
+END DO
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dry.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dry.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dry.F90	(revision 5103)
@@ -106,5 +106,5 @@
             if (zw2(ig,l+1)>0. .and. zw2(ig,l+1)<1.e-10) then
 !               stop'On tombe sur le cas particulier de thermcell_dry'
-!               print*,'On tombe sur le cas particulier de thermcell_dry'
+!               PRINT*,'On tombe sur le cas particulier de thermcell_dry'
                 zw2(ig,l+1)=0.
                 linter(ig)=l+1
@@ -135,5 +135,5 @@
          enddo
       enddo
-       if (prt_level>=1) print*,'fin calcul zw2'
+       if (prt_level>=1) PRINT*,'fin calcul zw2'
 
 ! Determination de zw2 max
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dtke.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dtke.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dtke.F90	(revision 5103)
@@ -2,5 +2,5 @@
 CONTAINS
 
-      subroutine thermcell_dtke(ngrid,nlay,nsrf,ptimestep,fm0,entr0,  &
+      SUBROUTINE thermcell_dtke(ngrid,nlay,nsrf,ptimestep,fm0,entr0,  &
              rg,pplev,tke)
       USE print_control_mod, ONLY: prt_level
@@ -35,7 +35,7 @@
       lev_out=0
 
-!print*,'thermcell_dtke'
+!PRINT*,'thermcell_dtke'
 
-      if (prt_level>=1) print*,'Q2 THERMCEL_DQ 0'
+      if (prt_level>=1) PRINT*,'Q2 THERMCEL_DQ 0'
 
 !   calcul du detrainement
@@ -61,5 +61,5 @@
 
 
-do isrf=1,nsrf
+DO isrf=1,nsrf
 
    q(:,:)=tke(:,:,isrf)
@@ -81,8 +81,8 @@
             endif
             if (qa(ig,k)<0.) then
-!               print*,'qa<0!!!'
+!               PRINT*,'qa<0!!!'
             endif
             if (q(ig,k)<0.) then
-!               print*,'q<0!!!'
+!               PRINT*,'q<0!!!'
             endif
          enddo
@@ -95,5 +95,5 @@
             wqd(ig,k)=fm(ig,k)*q(ig,k)
             if (wqd(ig,k)<0.) then
-!               print*,'wqd<0!!!'
+!               PRINT*,'wqd<0!!!'
             endif
          enddo
@@ -118,5 +118,5 @@
    tke(:,:,isrf)=q(:,:)
 
-enddo
+END DO
 
       return
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dv2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dv2.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dv2.F90	(revision 5103)
@@ -2,5 +2,5 @@
 CONTAINS
 
-      subroutine thermcell_dv2(ngrid,nlay,ptimestep,fm,entr,masse  &
+      SUBROUTINE thermcell_dv2(ngrid,nlay,ptimestep,fm,entr,masse  &
       ,fraca,larga  &
       ,u,v,du,dv,ua,va,lev_out)
@@ -49,5 +49,5 @@
 !---------------------------
 
-!      print*,'THERMCELL DV2 OPTIMISE 3'
+!      PRINT*,'THERMCELL DV2 OPTIMISE 3'
 
       nlarga0=0.
@@ -104,5 +104,5 @@
 ! Debut des iterations
 !----------------------
-do iter=1,5
+DO iter=1,5
          do ig=1,ngrid
 ! Pour memoire : calcul prenant en compte la fraction reelle
@@ -129,5 +129,5 @@
                  /(fm(ig,k+1)+detr(ig,k)+entr(ig,k)*zf*zf2  &
                    +gamma(ig,k))
-!                 print*,k,ua(ig,k),va(ig,k),u(ig,k),v(ig,k),dua(ig,k),dva(ig,k)
+!                 PRINT*,k,ua(ig,k),va(ig,k),u(ig,k),v(ig,k),dua(ig,k),dva(ig,k)
                   dua(ig,k)=ua(ig,k)-u(ig,k)
                   dva(ig,k)=va(ig,k)-v(ig,k)
@@ -138,5 +138,5 @@
 ! Fin des iterations
 !--------------------
-enddo
+END DO
 
       enddo ! k=2,nlay
@@ -180,5 +180,5 @@
       do k=1,nlay
          do ig=1,ngrid
-           print*,'th_dv2 ig k gamma entr detr ua ue va ve wud wvd masse',ig,k,gamma(ig,k), &
+           PRINT*,'th_dv2 ig k gamma entr detr ua ue va ve wud wvd masse',ig,k,gamma(ig,k), &
      entr(ig,k),detr(ig,k),ua(ig,k),ue(ig,k),va(ig,k),ve(ig,k),wud(ig,k),wvd(ig,k),wud(ig,k+1),wvd(ig,k+1), &
      masse(ig,k)
@@ -188,7 +188,7 @@
 
      if (nlarga0>0) then
-          print*,'WARNING !!!!!! DANS THERMCELL_DV2 '
-          print*,nlarga0,' points pour lesquels laraga=0. dans un thermique'
-          print*,'Il faudrait decortiquer ces points'
+          PRINT*,'WARNING !!!!!! DANS THERMCELL_DV2 '
+          PRINT*,nlarga0,' points pour lesquels laraga=0. dans un thermique'
+          PRINT*,'Il faudrait decortiquer ces points'
      endif
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_env.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_env.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_env.F90	(revision 5103)
@@ -35,5 +35,5 @@
 !------------------
 
-   mask(:,:)=.true.
+   mask(:,:)=.TRUE.
 
 ! calcul des caracteristiques de l environnement
@@ -50,5 +50,5 @@
 ! Calcul de l'humidite a saturation et de la condensation
 
-   call thermcell_qsat(ngrid*nlay,mask,pplev,pt,po,pqsat)
+   CALL thermcell_qsat(ngrid*nlay,mask,pplev,pt,po,pqsat)
    do ll=1,nlay
       do ig=1,ngrid
@@ -60,5 +60,5 @@
 
 !-----------------------------------------------------------------------
-   if (prt_level>=1) print*,'0 OK convect8'
+   if (prt_level>=1) PRINT*,'0 OK convect8'
 
    do ll=1,nlay
